<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'crud',

    /*
     * Modules.
     */
    'modules'   => ['cruds'],

    
    'cruds'       => [
        'model' => [
            'model'                 => \Litepie\Crud\Models\Cruds::class,
            'table'                 => 'cruds',
            'presenter'             => \Litepie\Crud\Repositories\Presenter\CrudsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'colour',  ''],
            'translatables'         => [],
            'upload_folder'         => 'crud/cruds',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Crud',
            'module'    => 'Cruds',
        ],

    ],
];
