Lavalite package that provides crud management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/crud`.

    "litepie/crud": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Crud\Providers\CrudServiceProvider::class,

And also add it to alias

    'Crud'  => Litepie\Crud\Facades\Crud::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\CrudTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Crud\Providers\CrudServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Crud\Providers\CrudServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Crud\Providers\CrudServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/crud/{modulename}

**User**

    http://path-to-route-folder/user/crud/{modulename}

**Public**

    http://path-to-route-folder/cruds


### API endpoints

**List**

    http://path-to-route-folder/api/user/crud/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/crud/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/crud/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/crud/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/crud/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/crud/{modulename}/{slug}
    METHOD: GET