<?php

// API routes  for cruds
Route::prefix('{guard}/crud')->group(function () {
    Route::get('cruds/form/{element}', 'CrudsAPIController@form');
    Route::resource('cruds', 'CrudsAPIController');
});

// Public routes for cruds
Route::get('cruds/', 'CrudsPublicController@index');
Route::get('cruds/{slug?}', 'CrudsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for cruds
            Route::prefix('{guard}/crud')->group(function () {
                Route::get('cruds/form/{element}', 'CrudsAPIController@form');
                Route::apiResource('cruds', 'CrudsAPIController');
            });
            // Public routes for cruds
            Route::get('crud/Cruds', 'CrudsPublicController@getCruds');
        }
    );
}

