<?php

// web routes  for cruds
Route::prefix('{guard}/crud')->group(function () {
    Route::resource('cruds', 'CrudsResourceController');
});

// Public routes for cruds
Route::get('cruds/', 'CrudsPublicController@index');
Route::get('cruds/{slug?}', 'CrudsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CrudsResourceController');
            });
            // Public routes for pages
            Route::get('cruds/', 'CrudsPublicController@index');
            Route::get('cruds/{slug?}', 'CrudsPublicController@show');
        }
    );
}

