<?php

namespace Litepie\Crud;

use User;

class Crud
{
    /**
     * $cruds object.
     */
    protected $cruds;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Crud\Interfaces\CrudsRepositoryInterface $cruds)
    {
        $this->cruds = $cruds;
    }

    /**
     * Returns count of crud.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.cruds.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->cruds->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\CrudsUserCriteria());
        }

        $cruds = $this->cruds->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('crud::' . $view, compact('cruds'))->render();
    }
}
