<?php

namespace Litepie\Crud\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litepie\Crud\Interfaces\CrudsRepositoryInterface;

class CrudsPublicController extends BaseController
{
    // use CrudsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litepie\Cruds\Interfaces\CrudsRepositoryInterface $cruds
     *
     * @return type
     */
    public function __construct(CrudsRepositoryInterface $cruds)
    {
        $this->repository = $cruds;
        parent::__construct();
    }

    /**
     * Show cruds's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $cruds = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('crud::cruds.names'))
            ->view('crud::public.cruds.index')
            ->data(compact('cruds'))
            ->output();
    }


    /**
     * Show cruds.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $cruds = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($cruds->name . trans('crud::cruds.name'))
            ->view('crud::public.cruds.show')
            ->data(compact('cruds'))
            ->output();
    }

}
