<?php

namespace Litepie\Crud\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CrudsTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Crud\Models\Cruds $cruds)
    {
        return [
            'id'                => $cruds->getRouteKey(),
            'key'               => [
                'public'    => $cruds->getPublicKey(),
                'route'     => $cruds->getRouteKey(),
            ], 
            'name'              => $cruds->name,
            'colour'            => $cruds->colour,
            ''                  => $cruds->,
            'url'               => [
                'public'    => trans_url('crud/'.$cruds->getPublicKey()),
                'user'      => guard_url('crud/cruds/'.$cruds->getRouteKey()),
            ], 
            'status'            => trans('app.'.$cruds->status),
            'created_at'        => format_date($cruds->created_at),
            'updated_at'        => format_date($cruds->updated_at),
        ];
    }
}